Bug 833030 - SELinux is preventing /usr/bin/bash from 'getattr' accesses on the filesystem /.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the filesystem /.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8294e01e9ea5ff1de3e5b1a26bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 08:18 EDT by Roman Melihhov
Modified: 2012-07-19 05:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Melihhov 2012-06-18 08:18:54 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Mon 18 Jun 2012 03:18:31 PM EEST

description:
:SELinux is preventing /usr/bin/bash from 'getattr' accesses on the filesystem /.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed getattr access on the  filesystem by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gnome-exe-thumb /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:fs_t:s0
:Target Objects                / [ filesystem ]
:Source                        gnome-exe-thumb
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.29-1.fc17.x86_64
:Target RPM Packages           filesystem-3-2.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1
:                              SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 18 Jun 2012 03:01:42 PM EEST
:Last Seen                     Mon 18 Jun 2012 03:01:42 PM EEST
:Local ID                      a210159f-d48f-464b-abf1-ec6106473220
:
:Raw Audit Messages
:type=AVC msg=audit(1340020902.469:75): avc:  denied  { getattr } for  pid=1882 comm="gnome-exe-thumb" name="/" dev="dm-1" ino=2 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem
:
:
:type=SYSCALL msg=audit(1340020902.469:75): arch=x86_64 syscall=statfs success=no exit=EACCES a0=4bf6ca a1=7fffb6d92830 a2=fffffffffff4a649 a3=0 items=0 ppid=1881 pid=1882 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gnome-exe-thumb exe=/usr/bin/bash subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gnome-exe-thumb,thumb_t,fs_t,filesystem,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-18 11:09:16 EDT
Fixed in selinux-policy-3.10.0-132.fc17.noarch
Comment 2 Fedora Update System 2012-06-19 04:00:03 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 3 Fedora Update System 2012-06-19 20:30:20 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-19 05:18:23 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.